CEL: Crystal Entity Layer: iPcQuest Struct Reference (CEL: Crystal Entity Layer Public API Reference)

| ## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iPcQuest Struct Reference

This property class represents a quest. More...

`#include <propclass/quest.h>`

List of all members.

## Public Member Functions
virtual iQuest * | GetQuest () const =0
| Get the quest represented by this property class.
virtual bool | NewQuest (const char *name, celQuestParams &params)=0
| Initialize this quest with a new named quest.
virtual void | StopQuest ()=0
| Stop the current quest.

## Detailed Description

This property class represents a quest.

It uses the quest manager to manage quests. Note that this property class will automatically load the quest manager if it is missing.

This property class can send out the following messages to the behaviour (add prefix 'cel.parameter.' to get the ID for parameters):

- pcquest_???: ??? (???)

This property class supports the following actions (add prefix 'cel.action.' to get the ID of the action and add prefix 'cel.parameter.' to get the ID of the parameter):

- NewQuest: parameters 'name' (string). All other string parameters will be passed to the quest itself.
- StopQuest: no parameters.

This property class supports the following properties (add prefix 'cel.property.' to get the ID of the property:

- name (string, read only): name of the quest factory or null if no quest.
- state (string, read/write): name of the current state.

Definition at line 57 of file quest.h.

## Member Function Documentation

virtual iQuest* iPcQuest::GetQuest | ( |  | ) | const`[pure virtual]`

| Get the quest represented by this property class.

virtual bool iPcQuest::NewQuest | ( | const char * | name,
|  | celQuestParams & | params
| ) | `[pure virtual]`

| Initialize this quest with a new named quest. The quest manager will be used to find a quest factory that has the given name. Then that quest factory will be used to make a new quest instance that is then managed by this property class. If there is already a quest then that quest will be stopped. Returns: false if quest factory could not be found or if the quest could not be created for another reason.

virtual void iPcQuest::StopQuest | ( |  | ) | `[pure virtual]`

| Stop the current quest. Does nothing if there is no quest.

The documentation for this struct was generated from the following file:

- propclass/quest.h